%% predictors with shaded high regime
clearvars -except sentiment;
 load ECON_variable_a.mat
    %Mt=aligned_Yt;
    %MtH=aligned_Yt_H;
    %MtL=aligned_Yt_L;

load NONFUND_variable_new.mat
    %Mt=aligned_Mt;
    %MtH=aligned_Mt_H;
    %MtL=aligned_Mt_L;

load dataPT.mat
Ih=Ih';

subplot(2,1,1)
x=1965+7/12:1/12:2010+12/12;
plot(x,aligned_Yt,'-k')
hold on;
yl=ylim
grayColor = [1 1 1] * 0.8;
hBarsDown = bar(x,yl(1) * Ih, ...
'FaceColor', grayColor, 'BarWidth', 1, 'lineStyle', 'none');
% Plot gray bars going Up.
hBarsUp = bar(x,yl(2) * Ih, ...
'FaceColor', grayColor, 'BarWidth', 1, 'lineStyle', 'none');
alpha(0.55);
title('Panel A. ECON')
hold on;
subplot(2,1,2)
x=1965+7/12:1/12:2010+12/12;
plot(x,aligned_Mt,'-k')
hold on;
yl=ylim
grayColor = [1 1 1] * 0.8;
hBarsDown = bar(x,yl(1) * Ih, ...
'FaceColor', grayColor, 'BarWidth', 1, 'lineStyle', 'none');
% Plot gray bars going Up.
hBarsUp = bar(x,yl(2) * Ih, ...
'FaceColor', grayColor, 'BarWidth', 1, 'lineStyle', 'none');
alpha(0.55);
title('Panel B. NONFUND')

